package com.cooleshow.teacher.contract;

import com.common.im.bean.ContactRoomListBean;
import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.TeacherSelfStyleInfoBean;

import java.util.List;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface MineStyleContract {

    interface MineStylePageView extends BaseView {
        void getSelfStyleSuccess(TeacherSelfStyleInfoBean styleInfoBean);

        void getFunGroupList(List<ContactRoomListBean> list);
    }

    interface Presenter {
        void getTeacherSelfStyle();
    }
}
